< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package emailaddress
  Definition Classes
    hmrc
- EmailAddress
- ObfuscatedEmailAddress
- PlayJsonFormats
- StringValue

c

uk.gov.hmrc.emailaddress

# EmailAddress 

###
Companion object EmailAddress

#### case class EmailAddress(value: String) extends StringValue with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, StringValue, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EmailAddress
2. Serializable
3. Serializable
4. Product
5. Equals
6. StringValue
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new EmailAddress(value: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  val domain: Domain
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  val mailbox: Mailbox
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
15.  lazy val obfuscated: ObfuscatedEmailAddress
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      StringValue → AnyRef → Any
18.  val value: String
    Definition Classes
      EmailAddress → StringValue
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StringValue

### Inherited from AnyRef

### Inherited from Any

### Ungrouped